Summary: Python bindings for the GTK+ widget set.
Name: pygtk
Version: 2.6.2
Release: 3tr
License: LGPL
Group: Trustix Official
Source: ftp://ftp.gtk.org/pub/gtk/python/pygtk-%{version}.tar.gz
Requires: gtk2+ >= 2.4.0, python >= 2.3
Buildrequires: python-devel >= 2.3
Buildrequires: gtk2+-devel >= 2.4, libglade-devel
Buildrequires: automake
BuildRoot: /var/tmp/pygtk-%{version}-root

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all the benefits of python.

%package devel
Summary: files needed to build wrappers for GTK+ addon libraries
Group: Trustix Official
Requires: pygtk = %{version}

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

%package libglade
Summary: files needed to build wrappers for libglade
Group: Trustix Official
BuildRequires: libglade-devel
Requires: pygtk = %{version}

%description libglade
libglade wrapper

%prep
%setup -q -n pygtk-%{version}

%build
%configure --enable-thread  --enable-numpy
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
export tagname=CC
make LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gtk
%{_libdir}/python?.?/site-packages/gtk-2.0/gtk/*.py*
%{_libdir}/python?.?/site-packages/gtk-2.0/dsextras.py*
%{_bindir}/pygtk-demo
%{_bindir}/pygtk-demo
%dir %{_libdir}/pygtk
%dir %{_libdir}/pygtk/2.0
%{_libdir}/pygtk/2.0/*

%defattr(755, root, root, 755)
%{_libdir}/python?.?/site-packages/pygtk*
%{_libdir}/python?.?/site-packages/gtk-2.0/atk.so
%{_libdir}/python?.?/site-packages/gtk-2.0/gobject.so
%{_libdir}/python?.?/site-packages/gtk-2.0/pango.so
%{_libdir}/python?.?/site-packages/gtk-2.0/gtk/_gtk.so

%doc AUTHORS NEWS README MAPPING ChangeLog
%doc examples

%files devel
%defattr(755, root, root, 755)
%{_prefix}/bin/pygtk-codegen-2.0
%defattr(644, root, root, 755)
%dir %{_prefix}/include/pygtk-2.0
%{_prefix}/include/pygtk-2.0/*.h
%dir %{_prefix}/include/pygtk-2.0/pygtk
%{_prefix}/include/pygtk-2.0/pygtk/*.h
%{_libdir}/pkgconfig/pygtk-2.0.pc
%{_libdir}/pkgconfig/pygobject-2.0.pc
%dir %{_prefix}/share/pygtk
%dir %{_prefix}/share/pygtk/2.0
%dir %{_prefix}/share/pygtk/2.0/codegen
%dir %{_prefix}/share/pygtk/2.0/defs
%{_prefix}/share/pygtk/2.0/codegen/*
%{_prefix}/share/pygtk/2.0/defs/*.defs

%files libglade
%defattr(755, root, root, 755)
%{_libdir}/python?.?/site-packages/gtk-2.0/gtk/glade.so

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue May 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.6.2-1tr
- New Upstream

* Wed Apr 27 2005 Raghu <raghu at comodo dot com> 2.6.1-1tr
- New Upstream

* Wed Apr 20 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.2.0-3tr
- Changed Group to Trustix Official

* Thu Feb 03 2005 Ajith Thampi <ajith at comodo dot com> pygtk-2.2.0-2ta
- added libglade support

* Tue Feb 01 2005 Syed Shabir <syedshabir at comodo dot com> pygtk-2.2.0
- Initial Spec file
